package com.cg.service.student;

import com.cg.entity.StudentItem;

public interface StudentItemService {


    /**
     * @MethodName create
     * @Description: 创建
     * @param studentItem
     * @Author: Sum1Dream
     * @Date: 2024/7/4 下午2:30
     */
    void create(StudentItem studentItem);

    /**
     * @MethodName update
     * @Description: 更新
     * @param studentItem
     * @Author: Sum1Dream
     * @Date: 2024/7/4 下午2:30
     */
    void update(StudentItem studentItem);

    /**
     * @MethodName delete
     * @Description: 删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2024/7/4 下午2:30
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description:查询详情
     * @param id
     * @return: com.hfkj.entity.BsOrderCinema
     * @Author: Sum1Dream
     * @Date: 2024/7/4 下午2:30
     */
    StudentItem queryDetail(Long id);
}
